# RPM specfile for the BackupToDisk package
# Copyright 2008-2009 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW December 2008
# SCCS: @(#)BackupToDisk.spec	1.13.1.9 11/20/19 17:13:11
# Use SCCS codes to produce version and release numbers (codes surrounded by percent signs)
# Version: Release & Level: R L
# Release: Branch & Sequence: B S
# This is used in the Makefile.

%define name BackupToDisk
%define version 1.13
%define release 1.9

Summary: Simple backup into a (NFS mounted) directory
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.phcomp.co.uk/Downloads/BackupToDisk-%{version}-%{release}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}
# Documentation directory.
# This changed with Fedora 30 (or something) and RedHat/CentOS 8
# It used to be /usr/share/doc/package-version, went to /usr/share/doc/package
%if 0%{?fedora} >= 30 || 0%{?rhel} >= 8
%define docd %{_docdir}/%{name}
%else
%define docd %{_docdir}/%{name}-%{version}
%endif

BuildArchitectures: noarch

License: GPL

Packager: %{packager}

Group: Applications/Archiving
BuildRoot: %{_builddir}/%{name}-root
%if 0%{?rhel} >= 5
Requires: ksh coreutils sed findutils bzip2 cpio
%else
Requires: pdksh coreutils sed findutils bzip2 cpio
%endif
# Do not include mysql as a Require since this is optional
BuildRequires: make sed

# This is only needed if we want to build a relocatable RPM:
#Prefix: %%{_prefix}

%description
BackupToDisk backs up specified directories to a backup directory,
this backup directory is possibly NFS mmounted or on a separate disk that is used
just for this purpose.
This script can also take a copy of your mysql databases.

The script does a full backup each Monday and incremental backups on
the rest of the week. Backups that are more than 14 days are removed.

Backups are stored as gzipped cpio files.

This script is not the ultimate backup script, but is quick & easy to get going.

This is designed to be run from cron.

%prep
%setup -q

%build

%install
# RPM_BUILD_ROOT is set by BuildRoot: above

make DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} RELEASE=%{release} DOCDIR=$RPM_BUILD_ROOT/%{docd} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/BackupToDisk
%doc TODO Hacks License Contributors README
%{_mandir}/man*/BackupToDisk.*

%changelog
* Tue Nov 19 2019 Alain Williams <addw@phcomp.co.uk>
- Documentation directory no longer has version number (Fedora >= 30 && rehdat >= 8)
- Tar file has release as part of its name
* Thu Jul 02 2015 Alain Williams <addw@phcomp.co.uk>
- Fix bug when too many options are put on the command line.
* Sat Jun 28 2014 Alain Williams <addw@phcomp.co.uk>
- Add options to backup PostgreSQL databases
* Fri May 31 2013 Alain Williams <addw@phcomp.co.uk>
- Give mysqldump the options --single-transaction --quick & maybe --events, improve command line argument processing
* Mon Nov 23 2009 Alain Williams <addw@phcomp.co.uk>
- Do incremental from the date of the last successful full backup - works better when things are going wrong
* Mon Apr 20 2009 Alain Williams <addw@phcomp.co.uk>
- Maintain sym links LATEST-FULL and LATEST-INCREMENTAL, stop removal of last good backups on persistent errors
  Generate better error messages. Always put something to stderr on error.
* Wed Dec 31 2008 Alain Williams <addw@phcomp.co.uk>
- First as RPM.
